%define upstream_name    Test-Taint
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Tools to test taintedness
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Array)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(Tie::Scalar)
BuildRequires: perl(overload)
BuildRequires: perl-devel
%description
Tainted data is data that comes from an unsafe source, such as the command
line, or, in the case of web apps, any GET or POST transactions. Read the
the perlsec manpage man page for details on why tainted data is bad, and
how to untaint the data.

When you're writing unit tests for code that deals with tainted data,
you'll want to have a way to provide tainted data for your routines to
handle, and easy ways to check and report on the taintedness of your data,
in standard the Test::More manpage style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Wed Jun 17 2020 umeabot <umeabot> 1.80.0-4.mga8
+ Revision: 1594752
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.80.0-3.mga8
+ Revision: 1530120
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.80.0-2.mga8
+ Revision: 1433917
- rebuild for perl 5.30

* Sat Jun 29 2019 shlomif <shlomif> 1.80.0-1.mga8
+ Revision: 1415766
- update to 1.08

* Fri Sep 21 2018 umeabot <umeabot> 1.60.0-19.mga7
+ Revision: 1293876
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.60.0-18.mga7
+ Revision: 1250150
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.60.0-17.mga7
+ Revision: 1166929
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.60.0-16.mga7
+ Revision: 1154162
- fix building

* Thu Aug 31 2017 pterjan <pterjan> 1.60.0-15.mga7
+ Revision: 1149291
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.60.0-14.mga7
+ Revision: 1127601
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-13.mga6
+ Revision: 1034650
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.60.0-12.mga6
+ Revision: 958077
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.60.0-11.mga6
+ Revision: 845312
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.60.0-10.mga6
+ Revision: 841541
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-9.mga5
+ Revision: 748368
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.60.0-8.mga5
+ Revision: 736021
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-7.mga5
+ Revision: 686555
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.60.0-6.mga5
+ Revision: 631745
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.60.0-5.mga4
+ Revision: 524976
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.60.0-4.mga4
+ Revision: 431788
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1.60.0-3.mga4
+ Revision: 431266
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 373827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.60.0-1.mga3
+ Revision: 315880
- update to 1.06

* Wed May 30 2012 jquelin <jquelin> 1.40.0-4.mga3
+ Revision: 251206
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.40.0-3.mga2
+ Revision: 105026
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.40.0-2.mga1
+ Revision: 32474
- mageia rebuild
- imported package perl-Test-Taint

